#
# spec file for package yast2-cluster
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define _fwdefdir %{_libexecdir}/firewalld/services

Name:           yast2-cluster
Version:        4.2.8
Release:        lp152.2.6.1
Summary:        Configuration of cluster
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-cluster

Source0:        %{name}-%{version}.tar.bz2
Source1:        cluster.firewalld.xml

BuildRequires:  firewall-macros
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2

Requires:       yast2-ruby-bindings >= 1.0.0
Requires:       yast2 >= 4.1.3

BuildArch:      noarch

%description
-

%prep
%setup -q

%build

%install
%yast_install
%yast_metainfo

install -D -m 0644 %{S:1} %{buildroot}%{_fwdefdir}/cluster.xml

%post
%firewalld_reload

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_agentdir}
%dir %{_libexecdir}/firewalld
%dir %{_fwdefdir}
%{_fwdefdir}/cluster.xml
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Tue Nov  3 2020 nick wang <nwang@suse.com>
- bsc#1178373, include "/etc/sysconfig/nfs" into csync2.cfg
- Version 4.2.8
* Tue Aug 25 2020 nick wang <nwang@suse.com>
- bsc#1175648, fix UI label switch to turn off csync2 service
- Version 4.2.7
* Mon Apr 13 2020 nick wang <nwang@suse.com>
- jsc#SLE-12432, add qdevice heuristics support
- Version 4.2.6
* Fri Oct 11 2019 Yuan Ren <yren@suse.com>
- bsc#1149089 corosync-qdevice service ready to be configured
  * Add corosync-qdevice RPM package into Yast2-cluster
  * Add `IP Version` option in Dialog
  * Member Address is enabled whatever transport and ip version
  * Member Address is required/optional relations based on different transport or IP version used
  * Auto Generate Node ID would disabled once IPV6 selected
  * Auto Generate Node ID is required if UDP&IPv4&Member Address is empty
  * When enable corosync-qdevice but Member Address is empty, a warning would occur
  * Corosync-qdevice algorithm can only choose ffsplit
  * Qdevice votes disabled to be set mannually, defualt is "1"
  * expected_votes should be enabled only in nodelist empty&ipv4&udp
  * Add corosync-qdevice service start/stop/status and enabale/disable at booting time
- Version 4.2.5
* Wed Sep 25 2019 nick wang <nwang@suse.com>
- bsc#1151687, update the open ports to support pacemaker-remote,
  booth and corosync-qnetd.
- Version 4.2.4
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.3
* Thu Aug 15 2019 Ladislav Slezák <lslezak@suse.cz>
- Port to rake (by lcp) (bsc#1145754)
- Removed obsolete BuildRequires
- 4.2.2
* Mon Aug  5 2019 nick wang <nwang@suse.com>
- bsc#1144200, stop corosync instead of pacemaker.
  The patch in corosync(bsc#872651) is dropped in bsc#1144200,
  change back to stop corosync.
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Thu Apr 25 2019 nick wang <nwang@suse.com>
- bsc#1132881, using ruby base64 to replace uuencode/uudecode
  Remove the requirement of sharutils
* Tue Apr 23 2019 Stefan Weiberg <sweiberg@suse.com>
- bsc#1132881, uuencode can't be executed if sharutils are not
  installed:
  added sharutils to the package requirements
* Wed Apr 17 2019 nick wang <nwang@suse.com>
- Warn rrp_mode active is deprecated (bsc#1132640)
- 4.1.2
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.1
* Tue Oct 16 2018 schubi@suse.de
-  Added license file to spec.
* Wed Aug 22 2018 dgonzalez@suse.com
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- Version 4.0.8
* Wed Mar 28 2018 nwang@suse.com
- bsc#1087128, change the default cluster_name to hacluster
- Version 4.0.7
* Fri Mar 23 2018 nwang@suse.com
- bsc#1086630, fix write err when upgrading without quorum section
- Version 4.0.6
* Fri Mar  2 2018 nwang@suse.com
- bsc#1083439, fix traceback when starting without corosync.conf
- Version 4.0.5
* Tue Jan 23 2018 knut.anderssen@suse.com
- SuSEFirewall2 replaced by firewalld(fate#323460)
- Version 4.0.4
* Thu Jan 11 2018 bliu@suse.com
- bsc#1075507 two_node can not be enable when using qdevice
- Version 4.0.3
* Fri Dec 22 2017 nwang@suse.com
- bsc#1070961, support corosync qdevice.
- Version 4.0.2
* Fri Dec  1 2017 nwang@suse.com
- fate#323526, support python3.
- Version 4.0.1
* Fri Oct 27 2017 nwang@suse.com
- bsc#1065393, remove checking bind address when unicast.
- Version 4.0.0
* Wed Apr  5 2017 nwang@suse.com
- bsc#1032419, remove bind address for unicast.
- Version 3.2.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.24
* Fri Mar 25 2016 nwang@suse.com
- bsc#971961, fix error when using ipv6.
- Add totem.ip_version for ipv6 support.
- Version 3.1.23
* Tue Dec  1 2015 nwang@suse.com
- BSC#957305. Change required package from hawk to hawk2.
- Version 3.1.22
* Thu Aug 13 2015 nwang@suse.com
- FATE#319318. Add directory /etc/booth to csync2 suggest list.
- Version 3.1.21
* Fri Jul 31 2015 nwang@suse.com
- BSC#939497. Using systemd csync2.socket instead of xinetd.
- Version 3.1.20
* Wed Jul 29 2015 nwang@suse.com
- BSC#939429. Fix for crash when fail to get empty mask of
  tun device.
- Version 3.1.19
* Mon Jul 20 2015 nwang@suse.com
- BSC#938325. Modify the not clear help and warning.
- Version 3.1.18
* Thu Jul  2 2015 nwang@suse.com
- FATE#318190. Add a warning in corosync.conf to warn users
  manually changes may get lost when reconfigured by Yast.
- Version 3.1.17
* Mon Jun 29 2015 nwang@suse.com
- BNC#936352. Remove threads in security tab since it is
  abandoned in corosync 2.0
- Version 3.1.16
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Sep 19 2014 nwang@suse.com
- BNC#716109. Change UI udp to multicast, udpu to unicast.
- Version 3.1.15
* Tue Sep  9 2014 nwang@suse.com
- BNC#807780. Change word of UI from at booting to during boot.
- Version 3.1.14
* Wed Sep  3 2014 nwang@suse.com
- BNC#787196. Change wrong unit names like mb to Mb, ghz to GHz.
- Version 3.1.13
* Tue Jul 15 2014 nwang@suse.com
- BNC#885018. Change "two_node" to "0" when using default value.
- Version 3.1.12
* Mon Jul  7 2014 nwang@suse.com
- BNC#885319. Change text nodeid to Node ID. Change string
  to translation.
- Version 3.1.11
* Tue Jul  1 2014 nwang@suse.com
- BNC#883228 and BNC#885113. Fix various issues with YaST
  Cluster help and the finish progress message.
- Version 3.1.10
* Sun Jun 22 2014 nwang@suse.com
- BNC#883235. Auot enable "two_node" when using two node cluster.
- Version 3.1.9
* Fri May 30 2014 nwang@suse.com
- BNC#879596. Detect corosync.conf format. Notice user when using
  old format configuration.
- Version 3.1.8
* Fri May 30 2014 nwang@suse.com
- BNC#880491. Check nodeid behavior when auto node id is disabled.
  NodeID must be unique positive interger.
- Version 3.1.7
* Thu May 29 2014 nwang@suse.com
- BNC#880483. Click edit button when member list is empty
  will crash the application.
* Thu May 29 2014 nwang@suse.com
- BNC#880242. expected votes must have value when Transport
  protocol is using udp. Cluster name should not empty in
  any cases.
- Version 3.1.6
* Thu May 22 2014 nwang@suse.com
- Modify SPEC file to make ibs and github same. Version 3.1.5
* Wed May 21 2014 nwang@suse.com
- BNC#878073. Stating to run "journalctl -xn" manually for log.
  Update version to 3.1.2 to trigger ibs/obs release.
* Wed Apr 23 2014 nwang@suse.com
- BNC#874710, Only active or passive of rrp_mode is valid
  for multiple interface.
* Tue Apr 22 2014 nwang@suse.com
- BNC#874563,stop pacemaker could stop corosync at the same time.
  So change behavior to stop pacemaker directly.
* Tue Apr 22 2014 nwang@suse.com
- BNC#871970.BNC#872000 could be fixed at the same time.
  Change udpu member addresses structure and the format of
  nodelist in "corosync.conf".
* Mon Mar 10 2014 dmzhang@suse.com
- bnc#867090, fix expected_votes showing "nil" in case of ncurse
* Thu Feb 27 2014 dmzhang@suse.com
- upstream does not maintain yast2-python-bindings any more
  remove the dependency for yast2-yast2-bindings
* Tue Feb 25 2014 dmzhang@suse.com
- add yast2-python-bindings in spec files
* Tue Feb 25 2014 dmzhang@suse.com
- bnc#863953,  yast2 display issue
  add cluster.fwd, and fix disply issue
* Mon Jan 20 2014 dmzhang@suse.com
- add expected_votes field in GUI
* Mon Jan 13 2014 dmzhang@suse.com
- edit yast2-cluster to adapt new corosync.conf
  fix bnc#854882,bnc#845910
- remove SummaryDialog, OverviewDialog and aisexec options
- convert ycp to ruby
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Sun Dec  7 2008 xwhu@suse.de
- Full functional checked in
* Fri Dec  5 2008 cmeng@novell.com
- initial version
